Package com.independentsoft.office.word.math

# Class GroupCharacter

java.lang.Object
com.independentsoft.office.word.math.GroupCharacter

All Implemented Interfaces:
  `IContentElement`, `IRunTrackChangeContent`, `IMathElement`, `IMathMathElement`

public class GroupCharacter extends Object implements IMathMathElement
The Class GroupCharacter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCharacter()`
  Instantiates a new group character.
  `GroupCharacter​(InternalXMLStreamReader reader)`
  Instantiates a new group character.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroupCharacter`
  `clone()`
  `Base`
  `getBase()`
  Gets the base.
  `List<IContentElement>`
  `getContentElements()`
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `void`
  `setBase​(Base baseArgument)`
  Sets the base.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroupCharacter

    public GroupCharacter()
    Instantiates a new group character.

  - ### GroupCharacter

    public GroupCharacter​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new group character.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public GroupCharacter clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IMathElement`
    Specified by:
      `clone` in interface `IMathMathElement`
    Specified by:
      `clone` in interface `IRunTrackChangeContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBase

    public Base getBase()
    Gets the base.
    Returns:
      the base

  - ### setBase

    public void setBase​(Base baseArgument)
    Sets the base.
    Parameters:
      `baseArgument` - the new base

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties